scala
trait RandomAccessSeq

[source: `scala/RandomAccessSeq.scala`]

`` `trait` RandomAccessSeq[+A]
  `extends` Seq[A]

  Sequences that support O(1) element access

Author
  Sean McDirmid

Direct Known Subclasses:
  Array, RandomAccessSeq.Projection, ResizableArray, BoxedArray

Method Summary
`def` | +++ [B >: A](that : RandomAccessSeq[B]) : Projection[B] Appends two random access sequences in a non-strict way
`override def` | elements : Iterator[A] Creates a new iterator over all elements contained in this object.
`override def` | projection : Projection[A] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from Seq
length (abstract), size, isEmpty, concat, last, ++, isDefinedAt, lastIndexOf, map, flatMap, filter, take, drop, takeWhile, dropWhile, reverse, contains, slice, subseq, toArray

Methods inherited from Collection
toString, stringPrefix, equalWith

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
apply (abstract), compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` projection : Projection[A]

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Seq.projection

`override` `def` elements : Iterator[A]

  Creates a new iterator over all elements contained in this object.

Returns
  the new iterator

`` `def` +++[B >: A](that : RandomAccessSeq[B]) : Projection[B]

  Appends two random access sequences in a non-strict way